Public Class Foto

    Private Sub Foto_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim row As SmartEstateDataSet.ImmobiliRow

        immobiliTA.Fill(smartDS.Immobili)

        For Each row In smartDS.Immobili.Rows
            Dim pic As New PictureBox

            Dim ms = New IO.MemoryStream()

            ms.Write(row.Foto, 0, row.Foto.Length)

            pic.Image = Image.FromStream(ms, True)
            pic.Size = pic.Image.Size

            flowPanel.Controls.Add(pic)

        Next

    End Sub
End Class